%define iconname	%{name}.png
%define build_tainted	0

%if "%{distro_section}" == "tainted"
%global build_tainted	1
%endif

Name:		audiokonverter
Version:	5.9.1
Release:	%mkrel 7
Summary:	A KDE audio converter service menu for Dolphin
Group:		Sound/Editors and Converters
License:	GPLv2
URL:		http://www.kde-apps.org/content/show.php?content=12608
Source0:	http://www.kde-apps.org/CONTENT/content-files/12608-%{name}-%{version}.tar.bz2
Patch0:		audiokonverter-nofaac.patch
Patch1:		audiokonverter-free.patch
BuildArch:	noarch

BuildRequires:	kde4-macros

Requires:	dolphin
Requires:	mplayer 
Requires:	flac 
Requires:	wavpack
Requires:	id3lib
Requires:	id3v2
Requires:	vorbis-tools

%if %{build_tainted}
Requires:	lame
Requires:	faad2
%endif

%description
audiokonverter is a small utility to easily convert from OGG, MP3,
AAC, M4A, FLAC, WMA, RealAudio, Musepack, Wavpack, WAV and movies to
MP3, OGG, M4A, WAV and FLAC in Dolphin and Konqueror by right-clicking
on them.

%if %{build_tainted}
This package is in the tainted section because it contains software that
supports codecs that may be covered by software patents.
%endif

%prep
%setup -q -n %{name}-%{version}

%if %{build_tainted}
%patch0 -p0 -b .audiokonverter-nofaac.patch
%else
%patch1 -p0 -b .audiokonverter-free.patch
%endif

%install
mkdir -p %{buildroot}%{_kde_services}/ServiceMenus
install -m 644 *4.desktop %{buildroot}%{_kde_services}/ServiceMenus

mkdir -p %{buildroot}%{_kde_appsdir}/dolphin/servicemenus
install -m 644 *4.desktop %{buildroot}%{_kde_appsdir}/dolphin/servicemenus

mkdir -p %{buildroot}%{_kde_bindir}
install -m 755 anytowav4 audioconvert4 movie2sound4 oggdrop-lx %{buildroot}%{_kde_bindir}

%files
%doc README Changelog
%{_kde_bindir}/*
%{_kde_services}/ServiceMenus/*.desktop
%{_kde_appsdir}/dolphin/servicemenus/*.desktop


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 5.9.1-7.mga5
+ Revision: 738848
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.9.1-6.mga5.tainted
+ Revision: 678045
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.9.1-5.mga4.tainted
+ Revision: 502948
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 5.9.1-4.mga3.tainted
+ Revision: 346582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 neoclust <neoclust> 5.9.1-3.mga3.tainted
+ Revision: 341073
- Fix group

* Mon Sep 17 2012 shlomif <shlomif> 5.9.1-2.mga3.tainted
+ Revision: 294951
- Add requires on id3v2. New release of 2.
- Remove trailing whitespace

* Sun Oct 02 2011 wally <wally> 5.9.1-1.mga3.tainted
+ Revision: 150957
- fix requires (require faad2 only in tainted build)

* Sat Oct 01 2011 shlomif <shlomif> 5.9.1-0.mga2.tainted
+ Revision: 150765
- New version 5.9.1 - thanks to barjac

  + obgr_seneca <obgr_seneca>
    - imported package audiokonverter

